Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.monitor.statistics
Interface WebModuleVirtualServerStats

All Superinterfaces:
  Stats

public interface WebModuleVirtualServerStats
extends Stats

See Also:
  `WebModuleVirtualServerMonitor`

Method Summary
`CountStatistic` | `getActiveSessionsCurrent()`
`CountStatistic` | `getActiveSessionsHigh()`
`CountStatistic` | `getCachedSessionsCurrent()`
`RangeStatistic` | `getContainerLatency()`
`CountStatistic` | `getExpiredSessionsTotal()`
`CountStatistic` | `getJSPCount()`
`CountStatistic` | `getJSPReloadCount()`
`CountStatistic` | `getPassivatedSessionsCurrent()`
`CountStatistic` | `getRejectedSessionsTotal()`
`RangeStatistic` | `getSessionPersistTime()`
`RangeStatistic` | `getSessionSize()`
`CountStatistic` | `getSessionsTotal()`

Methods inherited from interface javax.management.j2ee.statistics.Stats
`getStatistic, getStatisticNames, getStatistics`

Method Detail

### getSessionSize

    public RangeStatistic getSessionSize()

### getContainerLatency

    public RangeStatistic getContainerLatency()

### getSessionPersistTime

    public RangeStatistic getSessionPersistTime()

### getCachedSessionsCurrent

    public CountStatistic getCachedSessionsCurrent()

### getRejectedSessionsTotal

    public CountStatistic getRejectedSessionsTotal()

### getExpiredSessionsTotal

    public CountStatistic getExpiredSessionsTotal()

### getActiveSessionsHigh

    public CountStatistic getActiveSessionsHigh()

### getSessionsTotal

    public CountStatistic getSessionsTotal()

### getJSPCount

    public CountStatistic getJSPCount()

### getJSPReloadCount

    public CountStatistic getJSPReloadCount()

### getPassivatedSessionsCurrent

    public CountStatistic getPassivatedSessionsCurrent()

### getActiveSessionsCurrent

    public CountStatistic getActiveSessionsCurrent()

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.